using System;

namespace _1_zadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            string konacan = " ";
            string prvi = " ", drugi = " ", treci = " ";
            string l = " ";
            char f = Convert.ToChar(l);
            string k;
            k = Console.ReadLine();
            string[] names = k.Split(f);
            int i = 0;
            long a = 0, b = 0, c = 0;
            int a1 = 0, b1 = 0, c1 = 0;
            foreach (string x in names)
            {
                if (i == 1)
                {
                    b = Convert.ToInt64(x);
                    drugi = x;
                    b1 += x.Length;
                    i++;
                }
                if (i == 0)
                {
                    a = Convert.ToInt64(x);
                    prvi = x;
                    a1 += x.Length;
                    i++;
                }
                if (i == 2)
                {
                    c = Convert.ToInt64(x);
                    treci = x;
                    c1 = treci.Length;
                }
            }
            if (a < 0 || b < 0 || c < 0)
            {
                Environment.Exit(0);
            }
            else
            {

                int j = a1;
                if (j < b1)
                    j = b1;
                if (j < c1)
                    j = c1;
                int min = a1;
                if (min > b1)
                    min = b1;
                if (min > c1)
                    min = c1;
                for (i = 0; i <= j; i++)
                {
                    if(i<min)
                    {
                        if (prvi[i] > drugi[i] && prvi[i] > treci[i])
                        {
                            int g = i;
                            for (i = g; i < j; i++)
                            {
                                if (i == b1)
                                {
                                    konacan = a.ToString() + c.ToString() + b.ToString(); break;
                                }
                                else if (i == c1)
                                {
                                    konacan = a.ToString() + b.ToString() + c.ToString(); break;
                                }
                                else if (i == b1 & i == c1)
                                {
                                    konacan = a.ToString() + b.ToString() + c.ToString(); break;
                                }
                                else if (drugi[i] > treci[i])
                                    konacan = a.ToString() + b.ToString() + c.ToString();
                                else
                                    konacan = a.ToString() + c.ToString() + b.ToString();
                            }
                            break;
                        }
                        else if (drugi[i] > prvi[i] && drugi[i] > treci[i])
                        {
                            int g = i;
                            for (i = g; i < j; i++)
                            {
                                if (i == a1)
                                {
                                    konacan = b.ToString() + c.ToString() + a.ToString(); break;
                                }
                                else if (i == c1)
                                {
                                    konacan = b.ToString() + a.ToString() + c.ToString(); break;
                                }
                                else if (i == a1 & i == c1)
                                    konacan = b.ToString() + a.ToString() + c.ToString();
                                else if (prvi[i] > treci[i])
                                    konacan = b.ToString() + a.ToString() + c.ToString();
                                else
                                    konacan = b.ToString() + c.ToString() + a.ToString();
                            }
                            break;
                        }
                        else if (treci[i] > prvi[i] && treci[i] > drugi[i])
                        {
                            int g = i;
                            for (i = g; i < j; i++)
                            {
                                if (i == a1)
                                {
                                    konacan = c.ToString() + b.ToString() + a.ToString(); break;
                                }
                                else if (i == b1)
                                {
                                    konacan = c.ToString() + a.ToString() + b.ToString(); break;
                                }
                                else if (i == a1 & i == b1)
                                    konacan = c.ToString() + a.ToString() + b.ToString();
                                else if (prvi[i] > drugi[i])
                                    konacan = c.ToString() + a.ToString() + b.ToString();
                                else
                                    konacan = c.ToString() + b.ToString() + a.ToString();
                            }break;
                        }
                    }
                    else
                    {
                        if (i == a1 && i == b1)
                        {
                            konacan = c.ToString() + b.ToString() + a.ToString(); break;
                        }
                        else if (i == b1 && i == c1)
                        {
                            konacan = a.ToString() + b.ToString() + c.ToString(); break;
                        }
                        else if (i == a1 && i == c1)
                        {
                            konacan = b.ToString() + a.ToString() + c.ToString(); break;
                        }
                        else if (i == a1)
                        {
                            for (i = a1 - 1; i < j; i++)
                            {
                                if (i == b1)
                                {
                                    konacan = c.ToString() + b.ToString() + a.ToString(); break;
                                }
                                else if (i == c1)
                                {
                                    konacan = b.ToString() + c.ToString() + a.ToString(); break;
                                }
                                else if (i == b1 & i == c1)
                                {
                                    konacan = b.ToString() + c.ToString() + a.ToString(); break;
                                }
                                else if (drugi[i] > treci[i])
                                    konacan = b.ToString() + c.ToString() + a.ToString();
                                else
                                    konacan = c.ToString() + b.ToString() + a.ToString();
                            }
                            break;
                        }
                        else if (i == b1)
                        {
                            for (i = b1 - 1; i < j; i++)
                            {
                                if (i == a1)
                                {
                                    konacan = c.ToString() + a.ToString() + b.ToString(); break;
                                }
                                else if (i == c1)
                                {
                                    konacan = a.ToString() + c.ToString() + b.ToString(); break;
                                }
                                else if (i == a1 & i == c1)
                                    konacan = a.ToString() + c.ToString() + b.ToString();
                                else if (prvi[i] > treci[i])
                                    konacan = a.ToString() + c.ToString() + b.ToString();
                                else
                                    konacan = c.ToString() + a.ToString() + b.ToString();
                            }
                            break;
                        }
                        else if (i == c1)
                        {
                            for (i = c1 - 1; i < j; i++)
                            {
                                if (i == a1)
                                {
                                    konacan = b.ToString() + a.ToString() + c.ToString(); break;
                                }
                                else if (i == b1)
                                {
                                    konacan = a.ToString() + b.ToString() + c.ToString(); break;
                                }
                                else if (i == a1 & i == b1)
                                    konacan = a.ToString() + b.ToString() + c.ToString();
                                else if (prvi[i] > drugi[i])
                                    konacan = a.ToString() + b.ToString() + c.ToString();
                                else
                                    konacan = b.ToString() + a.ToString() + c.ToString();
                            }
                            break;
                        }
                        if (i == a1 && i == b1 && i == c1)
                        {
                            konacan = a.ToString() + b.ToString() + c.ToString();
                        }
                    }
                    
                }
            }
            Console.WriteLine(konacan);
        }
    }
}